KDE 4.7 PyKDE API Reference

- KDE's Python API

# IndexPolicyAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

An attribute to specify how a collection should be indexed for searching.

This attribute can be attached to any collection and should be honored by indexing agents.

Since:
  4.6

## Methods
| __init__ (self)
Akonadi.Attribute | clone (self)
| deserialize (self, QByteArray data)
bool | indexingEnabled (self)
QByteArray | serialized (self)
| setIndexingEnabled (self, bool enable)
QByteArray | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new index policy attribute.

Akonadi.Attribute clone | ( |  | self ) |

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

bool indexingEnabled | ( |  | self ) |

Returns whether this collection is supposed to be indexed at all.

QByteArray serialized | ( |  | self ) |

setIndexingEnabled | ( | self, |
|  | bool | enable
| ) |  |  |

Sets whether this collection should be indexed at all.

Parameters:

  | enable | true to enable indexing, false to exclude this collection from indexing

QByteArray type | ( |  | self ) |